server:
  port: ${SERVER_PORT:9020}
  servlet:
    context-path: /api/harrison

spel:
  scheduling: false
  multiSource: false

spring:
  profiles:
    active: ${SPRING_PROFILES_ACTIVE:dev}
  jpa:
    hibernate:
      ddl-auto: none
    open-in-view: false

dingtalk:
  agentId: ${DINGTALK_AGENT_ID:}
  appKey: ${DINGTALK_APP_KEY:}
  appSecret: ${DINGTALK_APP_SECRET:}
  corpId: ${DINGTALK_CORP_ID:}
  aesKey: ${DINGTALK_AES_KEY:}
  token: ${DINGTALK_CALLBACK_TOKEN:}
  operator: ${DINGTALK_OPERATOR:}

aliwork:
  appType: ${ALIWORK_APP_TYPE:}
  systemToken: ${ALIWORK_SYSTEM_TOKEN:}

harrison:
  xiangyu:
    baseUrl: ${HARRISON_XIANGYU_BASE_URL:}
    system: ${HARRISON_XIANGYU_SYSTEM:}
    secure: ${HARRISON_XIANGYU_SECURE:}
    apiKey: ${HARRISON_XIANGYU_API_KEY:}
  yida:
    appType: ${HARRISON_YIDA_APP_TYPE:}
    systemToken: ${HARRISON_YIDA_SYSTEM_TOKEN:}
